Skip to content
Permalink
Browse files

[debops.nginx] Ensure legacy PHP5 Nginx upstream is absent

  • Loading branch information...
ypid committed Sep 14, 2019
1 parent 67ccf71 commit 8f4897431158bec8a1ff26fc6c920ea5242358e8
Showing with 12 additions and 1 deletion.
  1. +10 −0 CHANGELOG.rst
  2. +2 −1 ansible/roles/debops.nginx/defaults/main.yml
@@ -135,6 +135,16 @@ General
- The role will use Ansible local facts to check if OpenSSH server package is
installed to conditionally enable/disable its start on first install.

Removed
~~~~~~~

:ref:`debops.nginx` role
''''''''''''''''''''''''

- Set `nginx_upstream_php5_www_data` to absent. If you are still using
that Nginx upstream which was enabled by default then update your Ansible
role and switch to a supported PHP release.

Fixed
~~~~~

@@ -897,8 +897,9 @@ nginx__dependent_upstreams: []
# .. envvar:: nginx_upstream_php5_www_data [[[
#
# Upstream for default php5-fpm configuration
# Legacy.
nginx_upstream_php5_www_data:
enabled: True
state: 'absent'
name: 'php5_www-data'
type: 'php5'
php5: 'www-data'

0 comments on commit 8f48974

Please sign in to comment.
You can’t perform that action at this time.